Subject: Re: Is the Git Mailing List dropping messages?

From: Jeff King <[email-masked]>
Date: Mon, 9 Mar 2015 02:33:28 -0400

On Fri, Mar 06, 2015 at 09:12:45PM -0800, Kyle J. McKay wrote:

> And I responded and that response and the rest of the thread are available
> on gmane [1], but the first two messages are not.  I waited 10 days just to
> make sure there were no bounce emails or undeliverable notifications coming
> back and none did.  I have checked the other list archives [2] and cannot
> find the first two messages there either.
> 
> I have therefore concluded that the git@vger mailing list ate them for a
> late breakfast snack on 2015-02-24.

I didn't get them either. I think it's clear that vger ate them.

vger will drop anything it thinks is spam. That's often by triggering
the taboo list[1], though I don't see anything in the messages below
that would do so. Badly formatted messages can be a problem, as well
(e.g., missing message-ids or dates, I think).

-Peff

[1] Try https://github.com/git/git/blob/todo/taboo.perl to check
    the taboo list locally.